Subject: bug#36919: closed (Re: [bug#36919] [Patch v2 0/4] Make the KDE updater find packages in subdirectories)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 10 Sep 2019 17:10:02 +0000

Your bug report

#36919: [PATCH 0/2] Make the KDE updater find packaes in subdirectories

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36919: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36919
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#36919] [Patch v2 0/4] Make the KDE updater find packages in subdirectories
From: Hartmut Goebel <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Tue, 10 Sep 2019 19:09:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Pushed as 4eb69bf0d33810886ee118f38989cef696e4c868

Thanks for tutoring and for the review

-- 
Regards
Hartmut Goebel

| Hartmut Goebel          | [email-masked]               |
| www.crazy-compilers.com | compilers which you thought are impossible |

Subject: [PATCH 0/2] Make the KDE updater find packaes in subdirectories
From: Hartmut Goebel <[email-masked]>
To: [email-masked]
Date: Sun, 4 Aug 2019 12:25:59 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Als make the KDE updater no longer rely on FTP access.

Formerly packages living in a path like
/stable/frameworks/5.60/portingAids/kross-5.60.0.tar.xz
have not been found due to the additional directory level.

These patches change the KDE updater to download the "ls -lR" file from
downloader.kde.org and use a pattern for searching the relevant files.

Sine I'm sitt a beginner in Guile, I apprechiate any enhancement suggestion to
the code. I assume esp. the loop in download.kde.org-files and
canonicalize-path could be written more scheme-ish.

Hartmut Goebel (2):
  gnu-maintenance: KDE updater no longer relies on FTP access.
  gnu-maintenance: KDE updater finds packages even in sub-directory.

 guix/gnu-maintenance.scm | 99 +++++++++++++++++++++++++++++++++++++---
 1 file changed, 92 insertions(+), 7 deletions(-)

-- 
2.21.0